Summary:	a Free NoMachine (NX) client
Name:		freenx-client
Version:	0.9
Release:	5
License:	GPL v2 or later
Group:		X11/Applications/Networking
Patch0:		%{name}-keypath.patch
URL:		http://freenx.berlios.de/
BuildRequires:	QtCore-devel >= 4.4.0
BuildRequires:	QtGui-devel >= 4.4.0
BuildRequires:	QtXml-devel >= 4.4.0
BuildRequires:	libnxcl-devel
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= 4.4.0
BuildRequires:	qt4-qmake >= 4.4.0
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	shared-mime-info
Requires:	nx >= 3.5.0-2
Source0:	http://download.berlios.de/freenx/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}.svg
# Source0-md5:  777b3cda7a245e3870d4870a9460cb73
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
This is a free implementation of a NX session client.

%prep
%setup -q
%patch0 -p1

%build
cd qtnx
qmake-qt4
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
install qtnx/qtnx $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}
install qtnx/id.key $RPM_BUILD_ROOT%{_datadir}/%{name}/default.key
install -d $RPM_BUILD_ROOT%{_iconsdir}/hicolor/scalable/apps/
install %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/hicolor/scalable/apps/
install -d $RPM_BUILD_ROOT%{_desktopdir}/
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_mime_database
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_mime_database
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qtnx
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.key
%{_iconsdir}/*/*/apps/%{name}.svg
%{_desktopdir}/%{name}.desktop
%changelog
* Tue Aug 07 2012 Jan Rękorajski <baggins@pld-linux.org> 2936401
Release 5
Require new, merged nx

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 7eb87f0
- Requires(post,postun): gtk-update-icon-cache

* Sat Feb 06 2010 sparky <sparky@pld-linux.org> df4f875
- BR: pkgconfig
- dropped BR: doxygen

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e03e7d9
- release 3

* Tue Oct 07 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> f665b78
- added R: nxssh
- adaptarized
- rel 2

* Tue Sep 23 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> 9b03ba1
- proper group; rel 1

* Sun Aug 17 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> 6366561
- typo in Categories

* Sun Aug 17 2008 aredridel <aredridel@pld-linux.org> 5124654
- improved color

* Sun Aug 17 2008 aredridel <aredridel@pld-linux.org> 3bc5826
- desktop and icon files

* Sun Aug 17 2008 aredridel <aredridel@pld-linux.org> 974e2f6
- added

* Sat Aug 16 2008 aredridel <aredridel@pld-linux.org> d02ba9f
- include default NX key

* Sat Aug 16 2008 aredridel <aredridel@pld-linux.org> c54875f
- put default nx key in /usr/share/freenx-client

* Sat Aug 16 2008 aredridel <aredridel@pld-linux.org> 231cf91
- BR: qt4-qmake
- BR: qt4-build

* Wed Aug 06 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> 269263f
- new

